import { Injectable } from '@angular/core';
import {HttpClient} from "@angular/common/http";
import {environment} from "../../../environments/environment";
import {ObjectData} from "../../utils/objectData.service";

@Injectable({
  providedIn: 'root'
})
export class OrderAfterSalesService {

  constructor(private http: HttpClient) { }

  /**
   * 查询订单列表
   * @param param
   * @param callBack
   */
  public queryApplyList(param: object, callBack:any) {
    this.http.get(environment.orderUrl + 'afterSales/queryApplyList?'+ObjectData.objectByString(param)).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 查询订单详情
   * @param applyNo
   * @param callBack
   */
  public queryApply(applyNo: string, callBack:any) {
    this.http.get(environment.orderUrl + 'afterSales/queryApply?applyNo='+applyNo).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 审核
   * @param param
   * @param callBack
   */
  public audit(param: object, callBack:any) {
    this.http.post(environment.orderUrl + 'afterSales/audit', param).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 完成申请
   * @param param
   * @param callBack
   */
  public finish(param: object, callBack:any) {
    this.http.post(environment.orderUrl + 'afterSales/finish', param).subscribe(data => {
      callBack(data);
    });
  }

}
